﻿// -----------------------------------------------------------------------------------------
// <copyright file="GeoReplicationStatus.cs" company="Microsoft">
//    Copyright 2013 Microsoft Corporation
// 
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//      http://www.apache.org/licenses/LICENSE-2.0
// 
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
// </copyright>
// -----------------------------------------------------------------------------------------

namespace Microsoft.WindowsAzure.Storage.Shared.Protocol
{
    /// <summary>
    /// Enumeration representing the state of geo-replication in a service.
    /// </summary>
    public enum GeoReplicationStatus
    {
        /// <summary>
        /// Status of geo-replication is unavailable.
        /// </summary>
        Unavailable,

        /// <summary>
        /// Geo-replication is live.
        /// </summary>
        Live,

        /// <summary>
        /// Data is being bootstrapped from primary to secondary.
        /// </summary>
        Bootstrap,
    }
}
